Bug 854978 - Starting VM fails when one of the Networks on the VM is "deactivated" and not attached to any host
Starting VM fails when one of the Networks on the VM is "deactivated" and not...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Muli Salem
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 08:37 EDT by GenadiC
Modified: 2016-02-10 14:49 EST (History)
9 users (show)

See Also:
Fixed In Version: SI18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (410.94 KB, application/octet-stream)
2012-09-06 08:37 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-09-06 08:37:13 EDT
Created attachment 610300 [details]
engine log

Description of problem:
Running VM (when one of its networks is not attached to any host but is inactive) fails with the following error message: "Cannot run VM. There are no available running Hosts with all the networks used by the VM." 

How reproducible:
Always

Steps to Reproduce:
1. Create new VM and attach to it network from Cluster that is not attached to any host
2. Deactive the network that is not attached to any host

3. Run VM
  
Actual results:
VM fails with the following error: "Cannot run VM. There are no available running Hosts with all the networks used by the VM."

Expected results:
Running VM should succeed

Additional info:
engine log shows the following:

2012-09-06 15:25:02,558 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8009-4) Lock Acquired to object EngineLock [exclusiveLocks= key: ad2105b2-3899-4420-aaf7-e927f442d45a value: VM
, sharedLocks= ]
2012-09-06 15:25:02,562 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/127.0.0.1:8009-4) START, IsValidVDSCommand(storagePoolId = aea1cf61-de40-4220-bdd9-7af74fedc7f3, ignoreFailoverLimit = false, compatabilityVersion = null), log id: c91b6f1
2012-09-06 15:25:02,563 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/127.0.0.1:8009-4) FINISH, IsValidVDSCommand, return: true, log id: c91b6f1
2012-09-06 15:25:02,604 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8009-4) START, IsVmDuringInitiatingVDSCommand(vmId = ad2105b2-3899-4420-aaf7-e927f442d45a), log id: 688bccfc
2012-09-06 15:25:02,604 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8009-4) FINISH, IsVmDuringInitiatingVDSCommand, return: false, log id: 688bccfc
2012-09-06 15:25:02,610 WARN  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8009-4) CanDoAction of action RunVm failed. Reasons:VAR__ACTION__RUN,VAR__TYPE__VM,ACTION_TYPE_FAILED_VDS_VM_NETWORKS
2012-09-06 15:25:02,610 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8009-4) Lock freed to object EngineLock [exclusiveLocks= key: ad2105b2-3899-4420-aaf7-e927f442d45a value: VM
, sharedLocks= ]
Comment 1 Muli Salem 2012-09-09 10:37:23 EDT
Proposed patch in:

http://gerrit.ovirt.org/#/c/7878/
Comment 3 GenadiC 2012-09-16 04:10:49 EDT
Verified in SI18

Note You need to log in before you can comment on or make changes to this bug.